<?php


namespace App\Entities\AssistenteMedico;

use App\Utils\Entity;

class AssistenteMedico extends Entity
{
    protected $id;
    protected $id_assistente;
    protected $id_medico;

    public static function builder() : AssistenteMedicoBuilder
    {
        $paciente_builder = new AssistenteMedicoBuilder();
        return $paciente_builder;
    }

    public function getId() : int
    {
        return $this->id;
    }

    public function setId($id): void
    {
        $this->id = $id;
    }

    public function getIdASSISTENTE() : int
    {
        return $this->id_assistente;
    }

    public function setIdASSISTENTE($id_assistente): void
    {
        $this->id_assistente = $id_assistente;
    }

    public function getIdMEDICO() : int
    {
        return $this->id_medico;
    }

    public function setIdMEDICO($id_medico): void
    {
        $this->id_medico = $id_medico;
    }



}